Loading...
Searching...
No Matches
CglClique::fnode Struct Reference

A node of the fractional graph. More...

## Public Attributes

int * | nbrs
| pointer into all_nbr
double * | edgecosts
| 1-x_i-x_j, needed for odd holes, in the same order as the adj list, pointer into all_edgecost
int | degree
| degree of the node
double | val
| the fractional value of the variable corresponding to this node

## Detailed Description

A node of the fractional graph.

There is a node for every variable at fractional level.

Definition at line 99 of file CglClique.hpp.

## Member Data Documentation

## nbrs

int* CglClique::fnode::nbrs

pointer into all_nbr

Definition at line 101 of file CglClique.hpp.

## edgecosts

double* CglClique::fnode::edgecosts

1-x_i-x_j, needed for odd holes, in the same order as the adj list, pointer into all_edgecost

Definition at line 104 of file CglClique.hpp.

## degree

int CglClique::fnode::degree

degree of the node

Definition at line 106 of file CglClique.hpp.

## val

double CglClique::fnode::val

the fractional value of the variable corresponding to this node

Definition at line 108 of file CglClique.hpp.

The documentation for this struct was generated from the following file:

- Cgl/src/CglClique/CglClique.hpp